%define _disable_ld_no_undefined 1
%define mod_name mod_auth_cas

Name:           apache-%{mod_name}
Version:        1.0.9.1
Release:        %mkrel 4
Summary:        CAS authentication module
Group:          System/Servers
License:        GPLv3+ with exceptions
URL:            http://www.ja-sig.org/wiki/display/CASC/mod_auth_cas
# The source for this package was pulled from the upstream's vcs. Their 
# releases are stored in SVN instead of exported to a tar.gz, I used the 
# following commands to do so:
#  svn export https://source.jasig.org/cas-clients/mod_auth_cas/tags/mod_auth_cas-1.0.8.1 mod_auth_cas-1.0.8.1

#  tar -czvf mod_auth_cas-1.0.8.1.tar.gz mod_auth_cas-1.0.8.1/
Source0:        mod_auth_cas-1.0.9.1.tar.gz
Source1:        auth_cas.conf
BuildRequires:  openssl-devel
BuildRequires:  apache-devel
BuildRequires:  libcurl-devel
Requires:	    apache

%description
mod_auth_cas is an Apache 2.0/2.2 compliant module that supports the CASv1
and CASv2 protocols

%prep
%setup -q -n %{mod_name}-%{version}


%build
%configure2_5x --with-apxs=%{_sbindir}/apxs
%make

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_libdir}/apache-extramodules
install -m0755 src/.libs/mod_auth_cas.so %{buildroot}%{_libdir}/apache-extramodules

install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/modules.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/modules.d/auth_cas.conf

install -d -m 755 %{buildroot}%{_localstatedir}/cache/httpd/mod_auth_cas

%files
%doc README
%config(noreplace) %{_sysconfdir}/httpd/modules.d/auth_cas.conf
%{_libdir}/apache-extramodules/mod_auth_cas.so
%attr(-,apache,apache) %{_localstatedir}/cache/httpd/mod_auth_cas


%changelog

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.9.1-4.mga2
+ Revision: 223839
- httpd restart is handled by filetriggers now

* Fri Mar 16 2012 guillomovitch <guillomovitch> 1.0.9.1-3.mga2
+ Revision: 223644
- add preconfigured cookie cache directory

* Fri Mar 16 2012 guillomovitch <guillomovitch> 1.0.9.1-2.mga2
+ Revision: 223627
- fix default configuration
- fix dependencies

* Thu Mar 15 2012 guillomovitch <guillomovitch> 1.0.9.1-1.mga2
+ Revision: 223499
- imported package apache-mod_auth_cas


* Thu Mar 15 2012 Guillaume Rousse <guillomovitch@gmail.com> 1.0.9.1-1.mga2
- first mageia release 
